# ファイルの説明

## list1〜5.php

記事中のリスト番号のコードです。

- list1.php、list2.php、list5.phpがプロダクトコードです。
- list3.php、list4.phpがテストケースです。

## list3.5.php

リスト3の次の「プロダクトコード上で切り離す」段落で出てくるプロダクトコードです。

## config/bootstrap.php

今回のサンプルコードのテスト実行時に指定するbootstrapファイルです。

# テスト実行方法

	CLASS_FILE_FULLPATH=<テスト対象のプロダクトコード> phpunit  --bootstrap config/bootstrap.php ＜テストケース＞

## 参考：テストが通るパターン

テストが通るのは下記のパターンです。

### プロダクトコード list3.5.php

list3.phpによってテスト可能です。

	CLASS_FILE_FULLPATH=/path/to/list/list3.5.php phpunit  --bootstrap config/bootstrap.php list3.php

### プロダクトコード list5.php

list4.phpによってテスト可能です。

	CLASS_FILE_FULLPATH=/path/to/list/list5.php phpunit  --bootstrap config/bootstrap.php list4.php
