<?php

class SalesControllerTest extends \PHPUnit_Framework_TestCase
{

    public function test_step2Action_5percent_discount()
    {
        $prices = array('price' => 10000);

        //_step2ActionGetPricesのモック化
        $controller =
            $this->getMock('\SalesController', array('_step2ActionGetPrices'));
        $controller->expects($this->once())
            ->method('_step2ActionGetPrices')
            ->will($this->returnValue($prices));

        $_SESSION['mode'] = 'register';

        $controller->step2Action();

        $this->assertSame(10000, $_SESSION['price']);
        $this->assertSame(9500.0, $_SESSION['discounted_price']);
    }

}
