<?php

class SalesController extends AbstractController
{

    //略

    public function step2Action()
    {
//===================================================
//  前半戦
//===================================================
        $prices = array();

        foreach ($_SESSION['menu'] as $key => &$currentData) {
            if ($itemId != 0) {
                $itemData = ItemDao::getById($itemId);
                $currentData['itemName'] =
                    $itemData['name'];
            }

            $menuId = (int) $currentData['menuId'];
            if ($menuId != 0) {
                $menuData = MenuDao::getById($menuId);
                $currentData['menuName'] =
                    $menuData['name'];
            }

            $frameSum = 0;
            if (count($currentData['frames']) > 0) {
                foreach ($currentData['frames'] as $frame) {
                    $frameSum += (int) $frame;
                }
            }

            $discountRateSum = 0;
            if (isset($currentData['rateData'])) {
                foreach ($currentData['rateData'] as &$data) {
                    $discountId = (int) $data['id'];
                    $rateData =
                        RateDao::getById($discountId);
                    $rate = (int) $rateData['rate'];
                    $data['rate'] = $rate;
                    $discountRateSum += $rate;
                }
                unset($data);
            }

            $result = PriceModel::calcPrices(
                    (int) $currentData['menuPrice'], (int) $frameSum, (int) $currentData['marginRate'], $discountRateSum);
            $prices['price'] += $result['price'];
        }
        unset($currentData);
//===================================================
//  後半戦
//===================================================

        if ($_SESSION['mode'] === 'register') {
            $_SESSION['price'] = $prices['price'];
            $_SESSION['discounted_price'] =
                floor((double) $prices['price'] * 0.95);
            HTTP::redirect('/add/step4');
        }

        $this->smarty->assign('prices', $prices);
        $this->setContentsTemplate('add/step3.tpl');
    }

    //略
}
